/*
 * Copyright (C) 2020, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#include "custom_doubleline_checkbox.h"
#include "ui_custom_doubleline_checkbox.h"

#include "common_ui.h"

CustomDoublelineCheckBox::CustomDoublelineCheckBox(QWidget *parent) : QWidget(parent), ui(new Ui::CustomDoublelineCheckBox)
{
    ui->setupUi(this);
    grayTheLabel(ui->label);
}

CustomDoublelineCheckBox::~CustomDoublelineCheckBox()
{
    delete ui;
}

CustomCheckBox *CustomDoublelineCheckBox::checkBox()
{
    return ui->checkBox;
}

CustomLabel *CustomDoublelineCheckBox::label()
{
    return ui->label;
}
